Index: xgboost/CMakeLists.txt
===================================================================
--- xgboost.orig/CMakeLists.txt
+++ xgboost/CMakeLists.txt
@@ -168,7 +168,9 @@ msvc_use_static_runtime()
 if (FORCE_SHARED_CRT)
   set(DMLC_FORCE_SHARED_CRT ON)
 endif ()
-add_subdirectory(${xgboost_SOURCE_DIR}/dmlc-core)
+add_library(dmlc SHARED IMPORTED)
+find_library(DMLC_LIBRARY dmlc)
+set_property(TARGET dmlc PROPERTY IMPORTED_LOCATION "${DMLC_LIBRARY}")
 
 if (MSVC)
   if (TARGET dmlc_unit_tests)
@@ -226,7 +228,7 @@ set_target_properties(runxgboost PROPERT
 #-- End CLI for xgboost
 
 # Common setup for all targets
-foreach(target xgboost objxgboost dmlc runxgboost)
+foreach(target xgboost objxgboost runxgboost)
   xgboost_target_properties(${target})
   xgboost_target_link_libraries(${target})
   xgboost_target_defs(${target})
@@ -277,7 +279,7 @@ install(DIRECTORY ${xgboost_SOURCE_DIR}/
 #
 # https://github.com/dmlc/xgboost/issues/6085
 if (BUILD_STATIC_LIB)
-  set(INSTALL_TARGETS xgboost runxgboost objxgboost dmlc)
+  set(INSTALL_TARGETS xgboost runxgboost objxgboost)
 else (BUILD_STATIC_LIB)
   set(INSTALL_TARGETS xgboost runxgboost)
 endif (BUILD_STATIC_LIB)
